package de.tudresden.inf.st.mquat.eris.coupling;

import org.json.JSONObject;

public class ERISBenchmarkResult {
  private int dataSize;
  private double insert;
  private double link;
  private double lookup;
  private double scan;
  private double storageSize;

  public ERISBenchmarkResult(JSONObject jsonObject) {
    dataSize = jsonObject.getInt("dataSize");
    insert = jsonObject.getDouble("insert");
    link = jsonObject.getDouble("link");
    lookup = jsonObject.getDouble("lookup");
    scan = jsonObject.getDouble("scan");
    storageSize = jsonObject.getDouble("storageSize");
  }

  public int getDataSize() {
    return dataSize;
  }

  public double getInsert() {
    return insert;
  }

  public double getLink() {
    return link;
  }

  public double getLookup() {
    return lookup;
  }

  public double getScan() {
    return scan;
  }

  public double getStorageSize() {
    return storageSize;
  }
}
