package de.tudresden.inf.st.mquat.eris;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import java.util.Timer;

public class Main {

  private static final Logger logger = LogManager.getLogger(Main.class);

  public static void main(String[] args) {

    boolean continuous = false;

    if (args.length > 0 & args[0].equals("continuous")) {
      continuous = true;
    }

    if (continuous) {
      while (true) {
        try {
          logger.info("Running MQuAT");
          new ErisTask().run();
          Thread.sleep(10000);
        } catch (InterruptedException e) {
          e.printStackTrace();
        }
      }


    } else {
      new ErisTask().run();
    }
  }
}

