package de.tudresden.inf.st.mquat.eris.coupling;

import org.json.JSONObject;

public class ERISLPStatistics {
    private int count;
    private int inserts;
    private int requests;


    public ERISLPStatistics(JSONObject jsonObject){
        count = jsonObject.getInt("count");
        inserts = jsonObject.getInt("inserts");
        requests = jsonObject.getInt("requests");
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public int getInserts() {
        return inserts;
    }

    public void setInserts(int inserts) {
        this.inserts = inserts;
    }

    public int getRequests() {
        return requests;
    }

    public void setRequests(int requests) {
        this.requests = requests;
    }
}
